Bug 123721 - Stale symlinks /usr/include/cxx_{common,except}.h
Stale symlinks /usr/include/cxx_{common,except}.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: db4 (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 06:12 EDT by Jakub Jelinek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 23:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2004-05-20 06:12:19 EDT
There are stale symlinks in db4-devel.  IMHO cxx_{common,except}.h
headers even if they weren't stale symlinks don't belong to /usr/include,
they are db4 specific but don't have db anywhere in the name, as such
they should only be present in db4/ directory if they are needed for
something, or not at all.
Comment 1 Jeff Johnson 2004-06-10 23:21:51 EDT
Fixed in db-4.2.52-4. I entirely agree regarding /usr/include.

Unfortunately, there is much busted software that does not
have -I/usr/include/db4, hence /usr/include/db.h.
db_cxx.h was a bug fix in the ancient past, the stale symlinks too.

Note You need to log in before you can comment on or make changes to this bug.